[tox]
envlist = py26,
          py27,
          py33,
          py34,
          py35,
          py36,
          py37,
          py38,
          py39,
          py310,
          py311,
          pypy

skip_missing_interpreters = true

[testenv]
usedevelop=true
deps=-rrequirements-testing.txt
commands = py.test --verbose --verbose --cov xmodem {posargs}

[testenv:build_sphinx]
# build html documentation
deps=-rrequirements-docs.txt
basepython = python3.11
commands={envbindir}/python setup.py build_sphinx
